Subject: Re: bug#8035: Processing of .. in a file path after going thru symlink

From: Glenn Morris <[email-masked]>
Date: Sat, 19 Feb 2011 16:37:29 -0500

spucci wrote:

> When emacs attempts to find a file with "../" as a path component, it
> appears to be "smart" about it and simply remove the previous directory path
> (e.g., "foo/bar/../x" gets converted to "foo/x").  But if bar is a symlink,
> then it doesn't properly find the file.

This appears to be a feature of expand-file-name (and possibly other
things). It does seem a little weird that there isn't even an option to
have a more thorough expansion...